View Issue Details

IDProjectCategoryView StatusLast Update
0015256LazarusIDEpublic2009-12-17 11:13
ReporterKim Pedersen Assigned ToPaul Ishenin  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.28.2 
Target Version0.9.30Fixed in Version0.9.29 (SVN) 
Summary0015256: Ignored exceptions aren't saved/loaded
DescriptionIgnored exceptions aren't saved or loaded in IDE Options -> Debugger -> Language Exceptions. It means that you have to ignore them manually every time Lazarus has been restarted.
TagsNo tags attached.
Fixed in Revision23056
LazTarget0.9.30
Widgetset
Attached Files

Activities

Paul Ishenin

2009-12-04 17:47

manager   ~0032724

They are saved per project. On new project IDE adds a list of default exceptions to ignore.

Kim Pedersen

2009-12-07 15:29

reporter   ~0032784

If you don't save the session info for your project ("Do not save any session info" ticked in Project Options), the exceptions will not be saved in the lpi file even when you add them using Environment Options -> Language exceptions. But I don't know if it's supposed to work like this..

Mattias Gaertner

2009-12-07 15:46

manager   ~0032786

Normally the project and compiler options are project specific and the options under "Environment" are global options.
If the "Environment" options now starts to contain project options, then this must be explicitly noted on the options.

Paul, should I add a label or will you do that?

Paul Ishenin

2009-12-10 05:44

manager   ~0032880

Yes, indeed session info is not a right place for this list. Now they are saved in the project info (lpi). Please test and close if ok.

Issue History

Date Modified Username Field Change
2009-12-04 13:56 Kim Pedersen New Issue
2009-12-04 17:47 Paul Ishenin LazTarget => -
2009-12-04 17:47 Paul Ishenin Status new => resolved
2009-12-04 17:47 Paul Ishenin Fixed in Version => 0.9.29 (SVN)
2009-12-04 17:47 Paul Ishenin Resolution open => no change required
2009-12-04 17:47 Paul Ishenin Assigned To => Paul Ishenin
2009-12-04 17:47 Paul Ishenin Note Added: 0032724
2009-12-07 15:29 Kim Pedersen Status resolved => assigned
2009-12-07 15:29 Kim Pedersen Resolution no change required => reopened
2009-12-07 15:29 Kim Pedersen Note Added: 0032784
2009-12-07 15:46 Mattias Gaertner Note Added: 0032786
2009-12-10 05:44 Paul Ishenin Fixed in Revision => 23056
2009-12-10 05:44 Paul Ishenin LazTarget - => 0.9.30
2009-12-10 05:44 Paul Ishenin Status assigned => resolved
2009-12-10 05:44 Paul Ishenin Resolution reopened => fixed
2009-12-10 05:44 Paul Ishenin Note Added: 0032880
2009-12-10 05:45 Paul Ishenin Target Version => 0.9.30
2009-12-17 11:13 Kim Pedersen Status resolved => closed